import { Color, FontSize, heightResponsive, ScreenHeight, ScreenWidth, widthResponsive } from "@Constants";
import { StyleSheet } from "react-native";

export default StyleSheet.create({
  container: {
    width: ScreenWidth,
    height: ScreenHeight,
    flex: 1,
    // backgroundColor: 'red'
    // flexDirection: 'column',
    // justifyContent: 'center',
    // backgroundColor: Color.Black,
    // opacity: 0.75,
  },
  ctnBg: {
    position: "absolute",
    top: 0,
    width: ScreenWidth,
    height: ScreenHeight,
    backgroundColor: "black",
    opacity: 0.75,
    overflow: "hidden",

    // overlayColor: 'red',
  },
  overlay: { flex: 1, backgroundColor: "rgba(0,0,0,0.3)" },

  borderMarker: {
    width: ScreenWidth,
    height: ScreenWidth,
    // borderEndColor: 'rgba(0,0,0,0.3)',
    borderLeftColor: "rgba(0,0,0,0.3)",
    borderTopColor: "rgba(0,0,0,0.3)",
    borderBottomColor: "rgba(0,0,0,0.3)",
    borderRightColor: "rgba(0,0,0,0.309)",
    // borderColor: 'rgba(0,0,0,0.3)',
    borderWidth: widthResponsive(40),
    // overflow: 'hidden'
  },
  ctnMarker: {
    alignSelf: "center",
    height: ScreenWidth - widthResponsive(80),
    width: ScreenWidth - widthResponsive(80),
    borderColor: Color.White,
    // backgroundColor: transparent,
    borderWidth: 1,
    // backgroundColor: 'red'
  },
  TL: {
    width: widthResponsive(24),
    height: widthResponsive(24),
    borderTopWidth: widthResponsive(4),
    borderLeftWidth: widthResponsive(4),
    borderColor: Color.Yellow,
    marginTop: -1,
    marginLeft: -1,
  },
  TR: {
    width: widthResponsive(24),
    height: widthResponsive(24),
    borderTopWidth: widthResponsive(4),
    borderRightWidth: widthResponsive(4),
    borderColor: Color.Yellow,
    marginTop: -1,
    marginRight: -1,
    position: "absolute",
    right: 0,
  },
  BL: {
    width: widthResponsive(24),
    height: widthResponsive(24),
    borderBottomWidth: widthResponsive(4),
    borderLeftWidth: widthResponsive(4),
    borderColor: Color.Yellow,
    marginBottom: -1,
    marginLeft: -1,
    position: "absolute",
    bottom: 0,
  },
  BR: {
    width: widthResponsive(24),
    height: widthResponsive(24),
    borderBottomWidth: widthResponsive(4),
    borderRightWidth: widthResponsive(4),
    borderColor: Color.Yellow,
    marginBottom: -1,
    marginRight: -1,
    position: "absolute",
    bottom: 0,
    right: 0,
  },
  txtQrDescription: {
    // alignSelf: 'center',
    color: Color.White,
    fontSize: FontSize.FontSmaller,
    // marginTop: heightResponsive(50),
    // lineHeight: heightResponsive(20),
  },
  ctnSelectImg: {
    flexDirection: "row",
    justifyContent: "center",
    bottom: 0,
    position: "absolute",
    alignSelf: "center",
  },
  txtSelectImg: {
    fontSize: FontSize.FontMedium,
    color: Color.White,
    fontWeight: "400",
    alignSelf: "center",
    marginLeft: widthResponsive(5),
  },
  Header: {
    zIndex: 1000,
  },
  imgInvalid: {
    width: "100%",
    height: widthResponsive(150),
  },
});
